package com.sifang.modules.customer.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "crm_customer_entry_org_files")
public class CustomerEntryOrgFiles implements Serializable {

    @Id
    private String entryId;

    /**
     * 经销商id
     */
    private String traderId;

    /**
     * 统一社会信用代码证书/营业执照
     */
    private String regnoUrl;

    /**
     * 村民代表大会决议书
     */
    private String resolutionPaperUrl;

    /**
     * 村委议事章程
     */
    private String yszcUrl;

    /**
     * 对公账户信息
     */
    private String accountInfoUrl;

    /**
     * 产权证明-集体土地使用证
     */
    private String ownershipCertificateUrl;

    /**
     * 产权证明-不动产证书/查册证明/相关确权文件
     */
    private String otherOwnershipCertificateUrl;

    /**
     * 信誉凭证
     */
    private String creditCertificate;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 状态：0.暂存 1.待审核 2.审核不通过 3.审核通过
     */
    private String status;

    /**
     * 审核备注
     */
    private String remark;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 审核人user_id
     */
    private String auditBy;

    /**
     * 审核人
     */
    private String auditor;

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getRegnoUrl() {
        return regnoUrl;
    }

    public void setRegnoUrl(String regnoUrl) {
        this.regnoUrl = regnoUrl;
    }

    public String getResolutionPaperUrl() {
        return resolutionPaperUrl;
    }

    public void setResolutionPaperUrl(String resolutionPaperUrl) {
        this.resolutionPaperUrl = resolutionPaperUrl;
    }

    public String getYszcUrl() {
        return yszcUrl;
    }

    public void setYszcUrl(String yszcUrl) {
        this.yszcUrl = yszcUrl;
    }

    public String getAccountInfoUrl() {
        return accountInfoUrl;
    }

    public void setAccountInfoUrl(String accountInfoUrl) {
        this.accountInfoUrl = accountInfoUrl;
    }

    public String getOwnershipCertificateUrl() {
        return ownershipCertificateUrl;
    }

    public void setOwnershipCertificateUrl(String ownershipCertificateUrl) {
        this.ownershipCertificateUrl = ownershipCertificateUrl;
    }

    public String getOtherOwnershipCertificateUrl() {
        return otherOwnershipCertificateUrl;
    }

    public void setOtherOwnershipCertificateUrl(String otherOwnershipCertificateUrl) {
        this.otherOwnershipCertificateUrl = otherOwnershipCertificateUrl;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(String auditBy) {
        this.auditBy = auditBy;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public String getCreditCertificate() {
        return creditCertificate;
    }

    public void setCreditCertificate(String creditCertificate) {
        this.creditCertificate = creditCertificate;
    }
}
